> Tous les forums > Forum Linux
 catalyst-test : No supported adapters foundSujet résolu
Ajouter un message à la discussion
Page : [1] 
Page 1 sur 1
Esclapion
  Posté le 20/09/2012 @ 14:51 
Aller en bas de la page 
Grand Maître astucien

Bonjour à tous,

Si j'essaie d'installer le catalyst-test, donc le 12.9, sur mon PC, l'installation du pilote se passe bien, mais aticonfig ne passe pas.

La commande :

aticonfig --initial --input=/etc/X11/xorg.conf

me répond :

aticonfig: No supported adapters detected

Si j'essaie d'installer par pacman, là, ça passe, mais c'est la 12.8.

Est-ce une mauvaise utilisation de catalyst-test, ou est-ce ma carte, une Ati HD 6870, qui n'est pas supportée ?

Merci d'avance.



Modifié par Esclapion le 20/09/2012 14:53
Publicité
Logicien
 Posté le 20/09/2012 à 18:39 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Astucien

Salut,

essai simplement avec un fichier /etc/X11/xorg.conf.d/20-pilote-vidéo.conf dont le contenu est

Section "Device"
BoardName "Ati HD 6870"
Driver "fglrx"
Identifier "Ati"
VendorName "ATI Technologies Inc"
EndSection

Assure-toi qu'il n'y a pas de fichier /etc/X11/xorg.conf et que rien dans les fichiers .conf qui peuvent être dans /etc/X11/xorg.conf.d/ ne vient modifier le choix de fglrx du fichier 20-pilote-vidéo.conf .

Tu sauras si le pilote lui-même fonctionne. Si oui, c'est peut-être un bug de Aticonfig. Si fglrx a déjà sû piloter cette même carte graphique, une version à jour devrait pouvoir le faire.



Modifié par Logicien le 21/09/2012 06:05
Esclapion
 Posté le 20/09/2012 à 23:04 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Grand Maître astucien

Bonsoir Paul

Merci, ça marche.

Ça paraît tellement simple, quand on te lit...

Sinon, est-ce que tu me conseilles de remplacer en standard aticonfig par ce fichier "en dur" ?

Je passe en résolu.

(edit)

J'ai sinon une watermark "unsupported hardware". Je vais regarder pour la faire sauter.



Modifié par Esclapion le 20/09/2012 23:17
Esclapion
 Posté le 20/09/2012 à 23:20 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Grand Maître astucien

Re,

Pour enlever le (ou la ) "watermark" , j'ai trouvé ceci :

#!/bin/sh
DRIVER=/usr/lib/xorg/modules/drivers/fglrx_drv.so
for x in $(objdump -d $DRIVER|awk '/call/&&/EnableLogo/{print "\\x"$2"\\x"$3"\\x"$4"\\x"$5"\\x"$6}'); do
sed -i "s/$x/\x90\x90\x90\x90\x90/g" $DRIVER
done

Ça l'a fait disparaître chez moi au redémarrage.

Logicien
 Posté le 21/09/2012 à 16:33 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Astucien

Le passage à Xorg modulaire permet essentiellement de modifier en plusieurs fichiers .conf le défaut d'Xorg, en plus d'installer un à un et non plus en bloc les modules qui pilotent l'affichage, la souris et le clavier.

Avoir un fichier /etc/X11/xorg.conf ou un ou des fichiers .conf dans /etc/X11/xorg.conf.d/ n'est pas nécessaire si on ne veut pas ou ne doit pas personnaliser Xorg. Autrement, utiliser un ou des fichiers .conf dans /etc/X11/xorg.conf.d/ est maintenant préféré à /etc/X11/xorg.conf. Les deux méthodes offrent autant de possibilités l'une que l'autre. C'est une question de préférence.

L'important pour moi, c'est qu'il y ait le moins d'erreurs et d'avertissements possibles dans /var/log/Xorg.0.log, peu importe si je personnalise, comment ou non.

Tu peux au besoin passer des options au pilote fglrx via le fichier /etc/X11/xorg.conf.d/20-pilote-vidéo.conf. Aticonfig se concentre surtout sur la Section "Device" afin de s'assurer que le pilote fglrx est celui utilisé. Pour les autres sections, le défaut d'Xorg est suffisant.

Personnaliser un fichier /etc/X11/xorg.conf demande des connaissances globales et spécifiques. Utiliser

Xorg -configure

pour le créer, souvent ne fait que reporter la configuration par défaut d'Xorg dans /etc/X11/xorg.conf. Je fais une recherche par mot-clés avec la commande

egrep "EE|WW" /var/log/Xorg.0.log ; egrep -i "err|fail|inva|rem" /var/log/Xorg.0.log

afin de voir les problèmes qu'Xorg rencontre sans lire tout le fichier log. Je vise toujours zéro problème quand il est question de configuration sous Linux. Cela peut être un joli casse-tête. Il faut parfois accepter les erreurs si elles sont mineures.



Modifié par Logicien le 21/09/2012 16:41
Esclapion
 Posté le 21/09/2012 à 19:52 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Grand Maître astucien

Avec le pilote libre, il n'y a effectivement pas de xorg.conf.

Avec le Catalyst de la version précédente, c'était :

Section "ServerLayout"
Identifier "aticonfig Layout"
Screen 0 "aticonfig-Screen[0]-0" 0 0
EndSection

Section "Module"
EndSection

Section "Monitor"
Identifier "aticonfig-Monitor[0]-0"
Option "VendorName" "ATI Proprietary Driver"
Option "ModelName" "Generic Autodetecting Monitor"
Option "DPMS" "true"
EndSection

Section "Device"
Identifier "aticonfig-Device[0]-0"
Driver "fglrx"
BusID "PCI:1:0:0"
EndSection

Section "Screen"
Identifier "aticonfig-Screen[0]-0"
Device "aticonfig-Device[0]-0"
Monitor "aticonfig-Monitor[0]-0"
DefaultDepth 24
SubSection "Display"
Viewport 0 0
Depth 24
EndSubSection
EndSection

A part le BusID, il n'y a pas grand-chose de spécifique à la config.

Le aticonfig ne fait que créer ça ?



Modifié par Esclapion le 21/09/2012 20:02
Logicien
 Posté le 21/09/2012 à 23:25 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Astucien

Et oui, très peu de choses. Peut-être qu'avec la commande

Xorg -configure

tu obtiendrais aussi fglrx (ou ati/radeon dépendant de l'installation) comme pilote vidéo. Le reste serait le défaut d'Xorg.

Defaut erratique en ce qui concerne les polices de caractères. Même des répertoires de polices inexistants font parti de la liste dans Section "Files". C'est pourquoi je configure cette section moi-même avec des répertoires de polices existants et désactive le défaut d'Xorg pour cette section grâce à

Section "ServerFlags"

option "UseDefaultFontPath" "off"

J'ai consacré beaucoup de temps à comprendre Xorg et xorg.conf. Je n'ai pas de meilleures performances avec un xorg.conf qu'avec la configuration par défaut. Seuls quelques options pratiques et qui minimisent les erreurs, fatales ou non, me la font changer.

Si tu veux voir mon xorg.conf, libre à toi.



Modifié par Logicien le 21/09/2012 23:27
Esclapion
 Posté le 25/09/2012 à 00:01 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Grand Maître astucien

Merci pour ton xorg.conf, je vais pouvoir l'étudier et comparer avec le mien.

Sinon, pour le 12.9, le mainteneur, Vi0L0, a mis sur AUR le fichier /etc/ati/control du 12.8 et conseille de l'utiliser pour le 12.9. En le récupérant, aticonfig fonctionne chez moi, même si c'est un peu hétérogène.

Je vais voir avec le temps si c'est stable.

La version actuelle du 12.9 est surtout prévue pour des appareils OEM, et il manque des tas de matériels, il y en a vraiment très peu de déclarés (je cite).

C'est d'ailleurs pour ça qu'il l'a mise dans AUR en tant que catalyst-test et pas catalyst.



Modifié par Esclapion le 25/09/2012 00:02
Esclapion
 Posté le 27/09/2012 à 13:42 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Grand Maître astucien

Ils viennent de sortir la version 12.9-2 bêta, ce qui, par rapport à la version "embarquée" inclut :

- amdpcsdb.default
- control
- signature

Beta supports more gpus.


Je n'ai plus la mention "Unsupported hardware" sur l'écran, non plus.

Page : [1] 
Page 1 sur 1

Vous devez être connecté pour poster des messages. Cliquez ici pour vous identifier.

Vous n'avez pas de compte ? Créez-en un gratuitement !


Sujets relatifs
Essai Catalyst-test 12.6
demande de renseignement ( instalation test lubuntu )
Cd/Dvd/Usb live Linux avec Catalyst ou Wayland ou Mir
Archlinux: passage de Catalyst 12.6 en officiel
Arch : obtenir la gtk+ 3.3.3 ? + pb catalyst
Test Gnome 3 sur le Net
server not found PC linux OS
Test postix qui se bloque à Escape character is '^
"command not found : amsn"
[Test] - Linux Mint 5 Elyssa
Plus de sujets relatifs à catalyst-test : No supported adapters found
 > Tous les forums > Forum Linux